Package org.eclipse.draw2d

# Class ConnectionAnchorBase

java.lang.Object
org.eclipse.draw2d.ConnectionAnchorBase

All Implemented Interfaces:
  `ConnectionAnchor`

Direct Known Subclasses:
  `AbstractConnectionAnchor`, `XYAnchor`

public abstract class ConnectionAnchorBase extends Object implements ConnectionAnchor
Provides support for a ConnectionAnchor. A ConnectionAnchor is one of the end points of a `Connection`. It holds listeners and notifies them if the anchor is moved.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<AnchorListener>`
`listeners`
The list of listeners

## Constructor Summary

Constructors
Constructor
Description
`ConnectionAnchorBase()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addAnchorListener(AnchorListener listener)`
Adds a listener interested in the movement of this ConnectionAnchor.
`protected void`
`fireAnchorMoved()`
Notifies all the listeners in the list of a change in position of this anchor.
`void`
`removeAnchorListener(AnchorListener listener)`
Removes the listener.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.draw2d.ConnectionAnchor

`getLocation, getOwner, getReferencePoint`

## Field Details

### listeners

protected List<AnchorListener> listeners
The list of listeners

## Constructor Details

### ConnectionAnchorBase

public ConnectionAnchorBase()

## Method Details

### addAnchorListener

public void addAnchorListener(AnchorListener listener)
Description copied from interface: `ConnectionAnchor`
Adds a listener interested in the movement of this ConnectionAnchor.

Specified by:
  `addAnchorListener` in interface `ConnectionAnchor`
Parameters:
  `listener` - The AnchorListener to be added
See Also:
  - `ConnectionAnchor.addAnchorListener(AnchorListener)`

### removeAnchorListener

public void removeAnchorListener(AnchorListener listener)
Description copied from interface: `ConnectionAnchor`
Removes the listener.

Specified by:
  `removeAnchorListener` in interface `ConnectionAnchor`
Parameters:
  `listener` - The AnchorListener to be removed
See Also:
  - `ConnectionAnchor.removeAnchorListener(AnchorListener)`

### fireAnchorMoved

protected void fireAnchorMoved()
Notifies all the listeners in the list of a change in position of this anchor. This is called from one of the implementing anchors when its location is changed.

Since:
  2.0